SDL_HINT_JOYSTICK_THREAD(3)

NAME
SDL_HINT_JOYSTICK_THREAD - A variable controlling whether a separate thread should be used for handling joystick detection and raw input messages on Windows.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_JOYSTICK_THREAD SDL_JOYSTICK_THREAD"

DESCRIPTION
The variable can be set to the following values:

• "0": A separate thread is not used.

• "1": A separate thread is used for handling raw input messages. (default)

This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.2.0.